Subject: bug#13794: closed (Re: bug#13794: mac os 10.8 rendering problems)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Mar 2013 10:09:02 +0000

Your bug report

#13794: mac os 10.8 rendering problems

which was filed against the emacs,ns package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13794: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13794
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13794: mac os 10.8 rendering problems
From: Jan Djärv <[email-masked]>
To: Bob Smith <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 Mar 2013 11:05:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

Please keep the debbugs-address so comments are saved in the bug tracker also.

30 mar 2013 kl. 00:10 skrev Bob Smith <[email-masked]>:

> Thanks for the response. 24.3 seems to fix the problem. I wonder if this was related to the resize increments bug to which you refer.
> 

No, that was just a minor bug involving calculating frame size when font size changed.  Anyway, that fix is not in 24.3.

Thanks for testing, closing the bug.

	Jan D.

> -Yanni
> 
> On Sat, Mar 16, 2013 at 10:16 AM, Jan Djärv <[email-masked]> wrote:
> Hello.
> 
> I can't reproduce this with trunk or emacs 24.3.
> If your version is earlier than 24.3, please try 24.3.
> In the future, please use M-x report-emacs-bug, so we can see what version you are running.
> 
> I did find a bug w.r.t. resize increments (fixed in trunk), but it should not give the symptoms
> you are seeing.
> 
> Thanks,
> 
> 	Jan D.
> 
> 23 feb 2013 kl. 03:35 skrev Bob Smith <[email-masked]>:
> 
>> Greetings,
>> 
>> I hope this bug report is useful. I can trigger this bug by setting a large default font size, and simply starting emacs.
>> 
>> When I do this, emacs starts with a frame that is completely blank. No modeline, no cursor, no text, no minibuf. I have attached a screenshot of what it looks like. Typing in this frame or resizing it does not fix anything.
>> 
>> If I create a new frame, I can see the modeline, but its location is such that it is half showing and half cut off below the edge of the frame, and the minibuf is also hidden. I have attached a screenshot of this as well. In this configuration, resizing the frame fixes the placement of the minibuf and modeline. 
>> 
>> I am using the emacs I downloaded from emacsformacosx.com.
>> 
>> My .emacs looks like this:
>> 
>> (custom-set-variables
>>  ;; custom-set-variables was added by Custom.
>>  ;; If you edit it by hand, you could mess it up, so be careful.
>>  ;; Your init file should contain only one such instance.
>>  ;; If there is more than one, they won't work right.
>>  )
>> (custom-set-faces
>>  ;; custom-set-faces was added by Custom.
>>  ;; If you edit it by hand, you could mess it up, so be careful.
>>  ;; Your init file should contain only one such instance.
>>  ;; If there is more than one, they won't work right.
>>  '(default ((t (:inherit nil :stipple nil :background "White" :foreground "Black" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 180 :width normal :foundry "apple" :family "Monaco")))))
>> 
>> 
>> <Screen Shot 2013-02-22 at 9.12.27 PM.png><Screen Shot 2013-02-22 at 9.12.00 PM.png>
> 
> 

Subject: mac os 10.8 rendering problems
From: Bob Smith <[email-masked]>
To: [email-masked]
Date: Fri, 22 Feb 2013 21:35:46 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Greetings,

I hope this bug report is useful. I can trigger this bug by setting a large
default font size, and simply starting emacs.

When I do this, emacs starts with a frame that is completely blank. No
modeline, no cursor, no text, no minibuf. I have attached a screenshot of
what it looks like. Typing in this frame or resizing it does not fix
anything.

If I create a new frame, I can see the modeline, but its location is such
that it is half showing and half cut off below the edge of the frame, and
the minibuf is also hidden. I have attached a screenshot of this as well.
In this configuration, resizing the frame fixes the placement of the
minibuf and modeline.

I am using the emacs I downloaded from emacsformacosx.com.

My .emacs looks like this:

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:inherit nil :stipple nil :background "White" :foreground
"Black" :inverse-video nil :box nil :strike-through nil :overline nil
:underline nil :slant normal :weight normal :height 180 :width normal
:foundry "apple" :family "Monaco")))))